<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property \Carbon\Carbon $duration
 * @property int $part_num
 */
class VideoParts extends Model
{
    public $timestamps = false;
    protected $casts = [
        "duration" => "datetime",
    ];
    public function video(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(Videos::class, "bvid", "bvid");
    }
}
